VCS: https://gitlab.cern.ch/linuxsupport/rpms/releases/oracle-release/-/tree/be6fc2e14d39b7c3b271af813d0ef61ff7c9c005
%define product oracle
%define debug_package %{nil}
%define distOS 8s

Name:		%{product}-release
Version:	1.2
Release:	1%{?dist}
Summary:	CERN %{product} repository release file
Group:		System Environment/Base
License:	GPLv2
URL:		http://linux.cern.ch/
BuildArch:  noarch
Source0:	dbclients8.repo
Source1:	dbclients8-qa.repo
Source2:	dbclients8-testing.repo
Source3:	%{product}-instantclient.repo
Source4:	RPM-GPG-KEY-oracle-ol8

%description
The package contains yum configuration for the CERN %{product} repository

%prep
%setup -q  -c -T
install -pm 0644 %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%if "%{distOS}" == "8"
    %define KOJITAG dbclients8
%else
    %define KOJITAG dbclients8s
%endif
find . -type f -name 'dbclients8*.repo' | xargs sed -i 's/KOJITAG/%{KOJITAG}/g'

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 0644 dbclients8-testing.repo dbclients8-qa.repo dbclients8.repo %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/pki/rpm-gpg/RPM-GPG-KEY-oracle-ol8

%files
%defattr(-,root,root,-)
%doc
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/RPM-GPG-KEY-oracle-ol8

%changelog

* Thu Mar 04 2021 Daniel Juarez <djuarezg@cern.ch> 1.3-1
- Support build for both el8 and el8s

* Mon Nov 09 2020 Daniel Juarez <djuarezg@cern.ch> 1.2-1
- add instantclient mirror repo for C8
- replace OL7 GPG key with OL8

* Tue Mar 17 2020 Ben Morrice <ben.morrice@cern.ch> 1.1-1
- add Oracle OL7 GPG key to configured repos

* Fri Mar 06 2020 Alex Iribarren <Alex.Iribarren@cern.ch> 1.0-1
- Initial release
